import { Component, h, Host, Prop } from '@stencil/core';
export class KhanguruDemoWrapper {
  render() {
    return (h(Host, null,
      h("div", { class: "scale-wrapper" },
        h("khanguru-demo-mentorship-space", { initialPath: this.initialPath, storageKey: this.storageKey }))));
  }
  static get is() { return "khanguru-demo-wrapper"; }
  static get originalStyleUrls() { return {
    "$": ["khanguru-demo-wrapper.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["khanguru-demo-wrapper.css"]
  }; }
  static get properties() { return {
    "initialPath": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "initial-path",
      "reflect": false
    },
    "storageKey": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "storage-key",
      "reflect": false
    }
  }; }
}
